summaryrefslogtreecommitdiff
path: root/util/travis_docs.sh
diff options
context:
space:
mode:
authorJack Humbert2018-03-26 14:24:30 -0400
committerskullydazed2018-03-26 11:43:37 -0700
commitae7284edb8bd8ed7fcab29415049bf03baf57f8d (patch)
treeb03927f750f03239a8e01837e29e8374dcd3ec1d /util/travis_docs.sh
parent66162b2b681de37dd0aa34f3b6527a5292ab1560 (diff)
rename api docs to internals
Diffstat (limited to 'util/travis_docs.sh')
-rw-r--r--util/travis_docs.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/util/travis_docs.sh b/util/travis_docs.sh
index 74eee3c26..5cfd63466 100644
--- a/util/travis_docs.sh
+++ b/util/travis_docs.sh
@@ -3,12 +3,12 @@
source util/travis_push.sh
if [[ "$TRAVIS_COMMIT_MESSAGE" != *"[skip docs]"* ]] ; then
- if git diff --name-only ${TRAVIS_COMMIT_RANGE} | grep -e '^quantum/' -e '^tmk_core/' -e '^docs/api_.*'; then
- echo "Generating API docs..."
+ if git diff --name-only ${TRAVIS_COMMIT_RANGE} | grep -e '^quantum/' -e '^tmk_core/' -e '^docs/internals_.*'; then
+ echo "Generating internal docs..."
rm -rf doxygen
doxygen Doxyfile
- moxygen -q -a -g -o docs/api_%s.md doxygen/xml
- git add docs/api_*
- git commit -m'autogenerated api docs for ${TRAVIS_COMMIT_RANGE}' || true
+ moxygen -q -a -g -o docs/internals_%s.md doxygen/xml
+ git add docs/internals_*
+ git commit -m'autogenerated internal docs for ${TRAVIS_COMMIT_RANGE}' || true
fi
fi